<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;

if($mes_crea == '-'):
    $fecha_crea=$ano_crea;
else:
    $fecha_crea=$ano_crea.'-'.$mes_crea;
endif;
$nro=1;
$nro_grupos=1;

if($permanente == '1'){
    $var_per="and permanente=".$permanente." and fecha_permanente like '%".$fecha_crea."%'";
}elseif($permanente == '0'){
    $var_per="and activo=".$permanente." and permanente!=1 and fecha_inactivar like '%".$fecha_crea."%'";
}else{
    $var_per="and (fecha_inactivar like '%".$fecha_crea."%' or fecha_permanente like '%".$fecha_crea."%')";
}


//Identifico el grupo
$sqlGrupo = "SELECT id_cli, nom_cli FROM cliente WHERE 1";
$conGrupo = $bdFact->consulta($sqlGrupo);
while($resGrupo = $bdFact->fetch_assoc($conGrupo)):
    $nom_cli = utf8_encode($resGrupo['nom_cli']);
    $id_fk_cliente_fact = $resGrupo['id_cli'];

    //Identifico las CTA del grupo
    $sqlCTA = "SELECT * FROM cta WHERE id_fk_cliente_fact=$id_fk_cliente_fact $var_per";
    $conCTA = $bdDepen->consulta($sqlCTA);
    while($resCTA = $bdDepen->fetch_assoc($conCTA)):
        
        $indicador=1;

        $nombre=utf8_encode($resCTA['nombre']);
        $nombre_plano=utf8_encode($resCTA['nombre_plano']);
        $nit_plano=$resCTA['nit_plano'];
        $id_fk_cliente_fact=$resCTA['id_fk_cliente_fact'];
        $id_cta=$resCTA['id_cta'];
        $comentario=utf8_encode($resCTA['comentario']);
        $modo=$resCTA['modo'];
        $activo=$resCTA['activo'];
        $fecha_creacion=$resCTA['fecha_creacion'];
        $fecha_activar=$resCTA['fecha_activar'];
        $fecha_inactivar=$resCTA['fecha_inactivar'];
        $fecha_permanente=$resCTA['fecha_permanente'];
        $permanente=$resCTA['permanente'];
        
        $array_cta[]=array('nro'=>$nro++, 'id_fk_cliente_fact'=>$id_fk_cliente_fact, 'id_cta'=>$id_cta, 'nit_plano'=>$nit_plano, 'nombre_plano'=>$nombre_plano, 'activo'=>$activo, 'modo'=>$modo, 'grupo'=>$nom_cli, 'comentario'=>$comentario, 'fecha_creacion'=>$fecha_creacion, 'fecha_activar'=>$fecha_activar, 'fecha_inactivar'=>$fecha_inactivar, 'permanente'=>$permanente, 'fecha_permanente'=>$fecha_permanente);

    endwhile;

    if($indicador == 1):

        $array_grupos[]=array('nro'=>$nro_grupos++, 'id_cli'=>$id_fk_cliente_fact, 'nom_cli'=>$nom_cli, 'enlace'=>'dep_listado_empresas_inactivas1.php');
        $indicador=0;
        
    endif;

endwhile;

//Vista de la relación de datos
require("dep_listado_grupos_vista.php");

?>